Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452275 - rhn-ssl-dbstore is not multi-org aware
Summary: rhn-ssl-dbstore is not multi-org aware
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 510
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 17:14 UTC by Clifford Perry
Modified: 2008-08-13 19:09 UTC (History)
0 users

Fixed In Version: sat511
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-13 19:04:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Clifford Perry 2008-06-20 17:14:24 UTC
Description of problem:

While doing lab in Summit we regenerated the SSL Certs using rhn-ssl-tool and
inserted them into the DB using the rhn-ssl-dbstore. I noticed that the new
RHN-ORG-TRUSTED-SSL-CERT was only placed into Org 1, the cert was NOT added into
other ORGs. 

We need to fix rhn-ssl-dbstore. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Todd Sanders 2008-06-20 20:43:23 UTC
IMO, the SSL Certificate is a Satellite level entity.  We should change the
datamodel to use a single certificate across *all* orgs on the satellite vs
storing on a per org basis.

-Todd

Comment 3 wes hayutin 2008-07-07 19:16:20 UTC
does this require a db-query to check? guess I'm looking for a testplan

Comment 4 Pradeep Kilambi 2008-07-09 13:58:28 UTC
Test Plan:

* Setup a multi org satellite with couple of orgs.

* make note of the ssl cert on the ui for all the orgs(should be the default one)

* Now create your own cert

* upload your cert with rhn-ssl-dbstore command.

* now check back the cert for each org in the ui, it should reflect the new cert
you uploaded in all the sub orgs.


Comment 5 wes hayutin 2008-07-11 19:03:55 UTC
k.. the cert was distributed to org=0 and two other orgs..
Public CA SSL certificate:  /tmp/RHN-ORG-TRUSTED-SSL-CERT
Database connection string: rhnsat/rhnsat@rhnsat
[root@rlx-3-06 tmp]# less RHN-ORG-TRUSTED-SSL-CERT 
[root@rlx-3-06 tmp]# 


checked in webui  systems/kickstart/gpg

verified

Comment 6 Sayli Karmarkar 2008-07-22 20:51:16 UTC
validated

Comment 7 Brandon Perkins 2008-08-13 19:04:19 UTC
5.1.1 Satellite is now GA, bugs Closed for Current Release.

Comment 8 Brandon Perkins 2008-08-13 19:09:20 UTC
5.1.1 Satellite is now GA, bugs Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.